import { IUrlable } from './_interfaces/urlable.interface';
import { BaseModel } from './base.model';
export declare class Discipline extends BaseModel implements IUrlable {
    name: string;
    slug: string;
    beta: boolean;
    visible: boolean;
    image: string;
    link: {};
    protected fillable: string[];
    static empty(): Discipline;
    url(): string;
    color(): 1 | 2 | 3;
}
